/* http://meyerweb.com/eric/tools/css/reset/
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */

article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {
  display: block;
}

body {
  line-height: 1;
}

ol, ul {
  list-style: none;
}

blockquote, q {
  quotes: none;
}

blockquote:before, blockquote:after, q:before, q:after {
  content: '';
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

/* end of reset css */

body {
  background: black;
  background-attachment: fixed;
  display: flex;
  height: 100%;
}

.main {
  flex=1;
}

.universal-padding {
  padding: 1em;
}

.universal-margin {
  margin: 1em;
}

header {
  padding: 2em;
}

.nav-links {
  list-style-type: none;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  text-align: center;
}

.nav-links>li>a {
  color: white;
  text-decoration-line: none;
  font-size: large;
}

.nav-links>li>a:hover {
  text-shadow: 0 0 1em #ffffff, 0 0 1em #ffffff;
}

.nav-link-style {
  font-weight: bold;
  font-variant: small-caps;
}

.nav-li-logo {
  flex: 1;
  max-width: fit-content;
  height: auto;
}

.nav-li-home {
  flex: 1;
  max-width: fit-content;
  height: auto;
}

.nav-li-portfolio {
  flex: 1;
  max-width: fit-content;
  height: auto;
}

.nav-li-contact {
  flex: 1;
  max-width: fit-content;
  height: auto;
}

.profile-image {
  border-radius: 50%;
  max-width: 50%;
  height: auto;
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.about-me-section {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.about-me-text-div {
  max-width: fit-content;
  height: auto;
  color: white;
  flex: 2;
}

.about-me-text-style {
  font-size: 2vw;
  line-height: 1.5em;
  text-align: justify;
}

.about-me-image-div {
  max-width: fit-content;
  height: auto;
  flex: 1;
}

.portfolio-section {
  background: #ff9900;
  margin-bottom: 2px;
  display: grid;
  padding: 2em;
  grid-template-columns: auto auto auto;
  grid-auto-rows: minmax(100px, auto);
  grid- grid-gap: 1em;
}

.portfolio-section>div {
  padding: 1em;
}

.portfolio-image-properties {
  background: #cc7a00;
  border-radius: 8px;
  padding: 5px;
  max-width: 100%;
  height: auto;
}

.portfolio-image-hover:hover {
  box-shadow: 0 0 .5em .5em #b36b00;
  opacity: .85;
}

.contact-section {
  padding: 20px;
  margin-bottom: 2px;
  background: #cc2900;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  text-align: center;
}

.mail {
  flex: 1;
  max-width: fit-content;
  height: auto;
}

.facebook {
  flex: 1;
  max-width: fit-content;
  height: auto;
}

.twitter {
  flex: 1;
  max-width: fit-content;
  height: auto;
}

.contact-item-style {
  font-size: 90px;
  color: white;
  margin: 10px;
  padding: 10px;
}

.footer {
  background-color: white;
  color: black;
  padding: 40px 0px;
  text-align: center;
  position: static;
  bottom: 0;
  width: 100%;
}

.copyright-reversed-footer {
  display: inline-block;
  text-align: right;
  margin: 0px;
  -moz-transform: scaleX(-1);
  -o-transform: scaleX(-1);
  -webkit-transform: scaleX(-1);
  transform: scaleX(-1);
  filter: FlipH;
  -ms-filter: “FlipH”;
}

.footer-style {
  font-weight: bold;
  font-variant: small-caps;
  padding: 10px;
}

@media(max-width:768px) {
  header {
    border-bottom: 1px solid white;
    padding: 1em;
  }
  .about-me-section {
    flex-direction: column-reverse;
  }
  .about-me-text-style {
    font-size: 2.5vw;
  }
  .profile-image {
    max-width: 40%;
    height: auto;
  }
  .portfolio-section {
    padding-right: 0 10px 0 0x;
    grid-gap: 0;
    grid-template-columns: 1fr 1fr;
  }
  .contact-item-style {
    font-size: 60px;
  }
}

@media only screen and (min-width:768px) {
  .portfolio-4 {
    grid-column-start: 1;
    grid-column-end: 3;
  }
}

@media(max-width:360px) {
  header {
    border-bottom: 1px solid white;
    padding: 1em;
  }
  .about-me-text-style {
    font-size: 3.5vw;
  }
  .profile-image {
    max-width: 30%;
    height: auto;
  }
  .portfolio-section {
    grid-template-columns: 1fr;
  }
  .nav-links {
    flex-direction: column;
    align-items: center;
  }
  .nav-li-logo {
    display: none;
  }
  .nav-li-home {
    padding-bottom: 10px;
  }
  .nav-li-portfolio {
    padding-bottom: 10px;
  }
  .nav-li-contact {
    padding-bottom: 10px;
  }
  .contact-item-style {
    font-size: 40px;
  }
  .nav-link-style {
    font-size: 4vw;
  }
}
